_vbi_pfc_demux Struct Reference

## Data Fields

unsigned int | ci
unsigned int | packet
unsigned int | n_packets
unsigned int | bi
unsigned int | left
vbi_pfc_demux_cb * | callback
void * | user_data
vbi_pfc_block | block

## Field Documentation

## ci

unsigned int _vbi_pfc_demux::ci

Expected next continuity index.

Referenced by vbi_pfc_demux_feed(), and vbi_pfc_demux_reset().

## packet

unsigned int _vbi_pfc_demux::packet

Expected next packet.

Referenced by vbi_pfc_demux_feed(), and vbi_pfc_demux_reset().

## n_packets

unsigned int _vbi_pfc_demux::n_packets

Expected number of packets.

Referenced by vbi_pfc_demux_feed(), and vbi_pfc_demux_reset().

## bi

unsigned int _vbi_pfc_demux::bi

Block index.

Referenced by vbi_pfc_demux_reset().

## left

unsigned int _vbi_pfc_demux::left

Expected number of block bytes.

Referenced by vbi_pfc_demux_reset().